<bugID>950334<Summary>(un)registerWindow methods in BrowserUITelemetry assume areaNode exists if the area is registered</Summary><Description>If I create a custom toolbar, then I open a new window, I get the following error in the console:

&gt; areaNode is null     BrowserUITelemetry.jsm:105

This is because BrowserUITelemetry assumes areaNode exists in the DOM tree. However, even though I registered the area with CUI, this is done only once in that session, and it doesn't necessarily mean the node exists. In my case, the toolbar (node) is dynamically appended when the window loads, so it doesn't exist yet when these methods are called after opening a new browser window.</Description></bugID>